<?php
# Enrober Config

/**
 * This is the default config file. If you would like to make changes to it 
 * please copy it and rename it from config.default.php to config.php.  Enrober 
 * always tries to read config.php first if it exists. This will ensure that if 
 * you install a new version of Enrobe over your current install your 
 * customized file will not be overwritten.
 *
 * If you are upgrading from a previous version, compare your customized 
 * config.php to the new config.default.php that came with the new version,
 * there may be some new constants you need to add to your file.
 *
 * @package enrober
 */

/**
 * The name of the site.  The site name is displayed in the header of most themes.
 */
define('ENROBER_SITE_NAME', 'Default site name');

/** The tagline that appears below the site name in most themes.
 */
define('ENROBER_TAGLINE', 'Edit your config file to change this tagline an the site name.');

/**
 * The default theme to use on a page if the theme is not specified in the go() call
 */
define('ENROBER_DEFAULT_THEME', 'simple');

/**
 * Boolen; should we cache pages when we generate them?
 * If set to true, the 'cache' subdirectory in your install directory must be
 * writable by enrober.php so it can create and replace cache files
 *
 * This setting can be overridden to force caching/no caching using the
 * $enrober->force_cache() method.
 */
define('ENROBER_CACHE', false);

/**
 * Boolen; Should mobile browser detection be used to automatically serve the
 * mobile version of a template if it has one? Generally this should be left set
 * to true so that mobile browers will be served a more mobile-friendly version of
 * your site.  If you are sure that your site doesn't need to support mobile browsers
 * you can turn this off for a slight performance increase.
 * @since 1.1.0
 */
define('ENROBER_MOBILE_ENABLE', true);

/**
 * Enable support for the x-requested-with header.
 * Most AJAX libraries set a x-requested-with header when making requests. If
 * this option is enabled, requests with the x-requested-with header set to 
 * "XMLHttpRequest" are served without the header and footer, returning only 
 * the content of the page.
 * @since 1.1.0
 */
define('ENROBER_X_REQUESTED_WITH', true);

/**
 * The absolute path to the directory that Enrober is installed in as viewed
 * from the HTTP client.  If your website was http://www.example.com and you
 * wanted to install Enrober in a subdirectory called in
 * 'http://www.example.com/enrober/' you would set ENROBER_URL to '/enrober'.
 * ENROBER_URL must not end with a '/'
*/
define('ENROBER_URL', '/enrober');

# This config file was originally distributed with v1.1.0
# End Enrober Config
?>
